uses crt,graph;
var
GraphDriver,GraphMode:integer;
For_i, r1,r2,i,p:integer;
begin
InitGraph(GraphDriver,GraphMode,'');
r1:=0;
r2:=0;
repeat
setColor(0);
SetFillStyle(1,0);
fillEllipse(320,240,152,152);

SetColor(15);
Circle(320,240,200);
SetColor(1);
r1:=r1-12;
if r1<0 then r1:=360-r1-13;
PieSlice(320,240,r1,r1+1,150);
SetColor(2);
r2:=r2-1;
if r2<0 then r2:=360-r2-1;
PieSlice(320,240,r2,r2+1,100);

for For_i:= 1 to 150 do bar(0,0,i+22,i+22); {Специально для замедления}

setColor(5);
SetFillStyle(1,5);
fillEllipse(320,240,3,3);
until keyPressed;
closegraph;
end.